
<?php
//@ author: Vladimir Samokhin

//ini_set('display_errors', '1'); ini_set('display_startup_errors', '1'); error_reporting(E_ALL);

require_once('include/GoogleMap.php');
require_once('include/GeoCoder.php');
require_once('include/DataAggregator.php');

$MAP_OBJECT = new GoogleMapAPI('map');  $MAP_OBJECT->_minify_js = isset($_REQUEST["min"])?FALSE:TRUE;
$MAP_OBJECT->setMapType('');
$MAP_OBJECT->setWidth(700);

$road=$_GET['road'];
$region=$_GET['region'];
if(isset($_GET['time'])) {
	$time=$_GET['time'];
        
}
else {
	$time='0000';
}
if($time>'2400' || $time<'0'){
	$time='0';
}

$day=$_GET['day'];
$weather=$_GET['weather'];
$traffic=$_GET['liveTraff'];


$gc=new GeoCoder($MAP_OBJECT);
if($traffic=="Yes") {
	$gc->enableLiveTraffic();
}
else {
	$gc->disableLiveTraffic();
}
if($region=="n" || $region=="c" || $region=="s") {
    
	dataToMarkers($road,$region,$weather,$time,$day,$gc);
        $gc->displayRegion($region);
}
elseif(isset($road)==TRUE  && $road!="0") {
    dataToMarkers($road,$region,$weather,$time,$day,$gc);
    $gc->displayRoad($road, $region);
}
else {
	$gc->defaultView();
}

?>



<html>
<head>
<title>Traffic Monitor</title>
<?=$MAP_OBJECT->getHeaderJS();?>
<?=$MAP_OBJECT->getMapJS();?>
</head>

<body>


<form method="get" action="index.php">

See traffic history for:<br>
<input type="radio" name="region" id="north" value="n" <?php echo($region == "n"?'checked':null) ?>> 
North Region
<input type="radio" name="region" id="central" value="c" <?php echo($region == "c"?'checked':null) ?>>
Central Region
<input type="radio" name="region" id="south" value="s" <?php echo($region == "s"?'checked':null) ?>>
South Region
<input type="radio" name="region" id="road" value="r" <?php echo($region == "r"?'checked':nullx) ?>>
A Road:

<select name="road">
<option value="0" >Select a road</option>
<option value="i78" <?php echo($road == "i78" && $region=="r"?' selected="selected"':null) ?>>i78</option>
<option value="i80" <?php echo($road == "i80" && $region=="r"?' selected="selected"':null) ?>>i80</option>
<option value="i195" <?php echo($road == "i195" && $region=="r"?' selected="selected"':null) ?>>i195</option>
<option value="i287" <?php echo($road == "i287" && $region=="r"?' selected="selected"':null) ?>>i287</option>
<option value="i295" <?php echo($road == "i295" && $region=="r"?' selected="selected"':null) ?>>i295</option>
<option value="ACE" <?php echo($road == "ACE" && $region=="r"?' selected="selected"':null) ?>>Atlantic City Expressway</option>
<option value="NJPKY" <?php echo($road == "NJPKY" && $region=="r"?' selected="selected"':null) ?>>Garden State Parkway</option>
<option value="NJTPK" <?php echo($road == "NJTPK" && $region=="r"?' selected="selected"':null) ?>>NJ Turnpike</option>
</select>

<br>
Time:
<input type="text" size="3" name="time" id="time" value="<?php echo $_GET['time'];?>">

Day Selection:
<select name="day">
<option value="all" >All Days</option>
<option value="week" <?php echo($day == "week"?' selected="selected"':null) ?>>Weekday</option>
<option value="end" <?php echo($day == "end"?' selected="selected"':null) ?>>Weekend</option>
</select>

Weather:
<select name="weather">
<option value="all" <?php echo($weather == "all"?' selected="selected"':null) ?>>All</option>
<option value="clear" <?php echo($weather == "clear"?' selected="selected"':null) ?>>Clear</option>
<option value="rain" <?php echo($weather == "rain"?' selected="selected"':null) ?>>Rain</option>
<option value="snow" <?php echo($weather == "cloudy"?' selected="selected"':null) ?>>Cloudy</option>
<option value="fog" <?php echo($weather == "fog"?' selected="selected"':null) ?>>Fog</option>
</select>

<input id="a" type="checkbox" name="liveTraff" value="Yes" <?php echo($traffic == "Yes"?'checked="checked"':null) ?>>Overlay Live Traffic

<input type="submit" value="View Statistics" name="submit">
</form>

<?=$MAP_OBJECT->printOnLoad();?>
<?=$MAP_OBJECT->printMap();?>
<?=$MAP_OBJECT->printSidebar();?>
<img src = "http://i860.photobucket.com/albums/ab164/vlad1024/green.png" /> Low  <img src = "http://i860.photobucket.com/albums/ab164/vlad1024/blue.png" /> Moderate Low <img src = "http://i860.photobucket.com/albums/ab164/vlad1024/yellow.png" /> Moderate <img src = "http://i860.photobucket.com/albums/ab164/vlad1024/orange.png" /> Moderate High <img src = "http://i860.photobucket.com/albums/ab164/vlad1024/red.png"/> Severe <br />
<a href="index.php">Reset</a>-<a href="help.html">Help</a>-<a href="about.html">About</a>

</body>
</html>
